<!--
order: 0
-->

# List of Modules

Here are some production-grade modules that can be used in Evmos applications, along with their respective documentation:

- [claims](claims/spec/README.md) - Rewards status and claiming process for the mainnet release.
- [epochs](epochs/spec/README.md) - Executes custom state transitions every period (*aka* epoch).
- [erc20](erc20/spec/README.md) - Trustless, on-chain bidirectional internal conversion of tokens between Evmos' EVM and Cosmos runtimes.
- [evm](https://docs.evmos.org/modules/evm/) - Smart Contract deployment and execution on Cosmos
- [feemarket](https://docs.evmos.org/modules/feemarket/) - Fee market implementation based on the EIP1559 specification.
- [fees](fees/spec/README.md) - Split EVM transaction fees between block proposer and smart contract developers.
- [incentives](incentives/spec/README.md) - Incentivize user interaction with governance-approved smart contracts.
- [inflation](inflation/spec/README.md) - Mint tokens and allocate them to staking rewards, usage incentives and community pool.
- [vesting](vesting/spec/README.md) - Vesting accounts with lockup and clawback capabilities.
